Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.mimo.netty.handler.codec.icap
Class IcapRequestDecoder

    java.lang.Object
      org.jboss.netty.channel.SimpleChannelUpstreamHandler
          org.jboss.netty.handler.codec.replay.ReplayingDecoder<StateEnum>
              ch.mimo.netty.handler.codec.icap.IcapMessageDecoder
                  ch.mimo.netty.handler.codec.icap.IcapRequestDecoder

All Implemented Interfaces:
  org.jboss.netty.channel.ChannelHandler, org.jboss.netty.channel.ChannelUpstreamHandler

    public class IcapRequestDecoder

extends IcapMessageDecoder

Decodes an ICAP Request into @see `IcapRequest` instance.

Author:
  Michael Mimo Moratti (mimo@mimo.ch)

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler
`org.jboss.netty.channel.ChannelHandler.Sharable`

Field Summary

Fields inherited from class ch.mimo.netty.handler.codec.icap.IcapMessageDecoder
`currentChunkSize, maxChunkSize, maxHttpHeaderSize, maxIcapHeaderSize, maxInitialLineLength, message`

Constructor Summary
`IcapRequestDecoder()`
`IcapRequestDecoder(int maxInitialLineLength, int maxIcapHeaderSize, int maxHttpHeaderSize, int maxChunkSize)`

Method Summary
`protected IcapRequest` | `createMessage(String[] initialLine)`
`boolean` | `isDecodingResponse()`

Methods inherited from class ch.mimo.netty.handler.codec.icap.IcapMessageDecoder
`decode`

Methods inherited from class org.jboss.netty.handler.codec.replay.ReplayingDecoder
`actualReadableBytes, channelClosed, channelDisconnected, checkpoint, checkpoint, decodeLast, exceptionCaught, getState, internalBuffer, messageReceived, setState`

Methods inherited from class org.jboss.netty.channel.SimpleChannelUpstreamHandler
`channelBound, channelConnected, channelInterestChanged, channelOpen, channelUnbound, childChannelClosed, childChannelOpen, handleUpstream, writeComplete`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IcapRequestDecoder

    public IcapRequestDecoder()

### IcapRequestDecoder

    public IcapRequestDecoder(int maxInitialLineLength,
                              int maxIcapHeaderSize,
                              int maxHttpHeaderSize,
                              int maxChunkSize)

Parameters:
  `maxInitialLineLength` -
  `maxIcapHeaderSize` -
  `maxHttpHeaderSize` -
  `maxChunkSize` -
See Also:
  `IcapMessageDecoder constructor for more details.`

Method Detail

### createMessage

    protected IcapRequest createMessage(String[] initialLine)

  Specified by:
    `createMessage` in class `IcapMessageDecoder`

### isDecodingResponse

    public boolean isDecodingResponse()

  Specified by:
    `isDecodingResponse` in class `IcapMessageDecoder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.